import { NgModule, Optional, SkipSelf } from '@angular/core';
import { EATokenGuard } from './guards/token.guard';

import { throwIfAlreadyLoaded } from './module-import-guard';

@NgModule({
  providers: [EATokenGuard]
})
export class CoreModule {
  constructor(@Optional() @SkipSelf() parentModule: CoreModule) {
    throwIfAlreadyLoaded(parentModule, 'CoreModule');
  }
}
